Search documentation of ExStreamClient

# ExStreamClient.Model.EgressTaskConfig (ExStreamClient v0.1.10)

View Source

Schema representing a EgressTaskConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EgressTaskConfig{
      egress_user: ExStreamClient.Model.EgressUser.t() | nil,
      frame_recording_egress_config:
        ExStreamClient.Model.FrameRecordingEgressConfig.t() | nil,
      hls_egress_config: ExStreamClient.Model.HLSEgressConfig.t() | nil,
      recording_egress_config: ExStreamClient.Model.RecordingEgressConfig.t() | nil,
      rtmp_egress_config: ExStreamClient.Model.RTMPEgressConfig.t() | nil,
      stt_egress_config: ExStreamClient.Model.STTEgressConfig.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()